Conditionally replace the account authorization file
http
PUT /api/v1/llm-accounts/{id}/auth-fileConditionally replace the account authorization file
operationId: replace_auth_file
Authentication
HTTPBearer / BrowserSession
See browser access. Session mutations require a Bearer key.
Parameters
| Name | In | Required | Type | Description and constraints |
|---|---|---|---|---|
id | path | Yes | string | format: "uuid" |
If-Match | header | Yes | string | minLength: 1 |
Request body
application/json: AuthFile
json
{
"$ref": "#/components/schemas/AuthFile"
}Responses
| Code | Description | Content |
|---|---|---|
| 204 | Conditionally replace the account authorization file | |
| default | Invalid input (422), unauthorized (401), forbidden origin (403), missing record (404), conflict (409), or unavailable storage (503). | application/json: ErrorResponse |
Response headers 204
ETag: string